Skip to main content
GET
/
collections
/
tree
Get collection tree with articles of a help center
curl --request GET \
  --url https://helpcenter.thena.ai/collections/tree \
  --header 'x-api-key: <api-key>'
import requests

url = "https://helpcenter.thena.ai/collections/tree"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://helpcenter.thena.ai/collections/tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "_id": "682c334124b3b0d0d29b3c17",
      "name": "How to setup Thena",
      "slug": "8805124718-how-to-setup-thena",
      "order": 0,
      "articles": [
        "<array>"
      ],
      "childCollection": [
        {
          "_id": "682c334124b3b0d0d29b3c18",
          "name": "Getting Started",
          "slug": "getting-started",
          "parentId": "682c334124b3b0d0d29b3c17",
          "order": 0,
          "icon": "BookOpenIcon",
          "description": "Learn how to get started",
          "depth": 1,
          "articles": [],
          "childCollection": []
        }
      ],
      "parentId": null,
      "icon": "BookOpenIcon",
      "description": "Learn how to get started with our platform",
      "isProtected": false,
      "depth": 0
    }
  ],
  "message": "Collections fetched successfully."
}

Authorizations

x-api-key
string
header
required

Enter your API key

Query Parameters

helpCenterId
string
required

Help Center ID

Example:

"507f1f77bcf86cd799439011"

Response

Collections fetched successfully.

data
object[]
required
message
string
required
Example:

"Collections fetched successfully."